<?php

class AVForums_Competitions_DataWriter_User extends XFCP_AVForums_Competitions_DataWriter_User
{
	/**
	 * Gets the fields that are defined for the table. See parent for explanation.
	 *
	 * @return array
	 */
	protected function _getFields()
	{
		$parent = parent::_getFields();

		$parent['xf_user']['competition_entries'] = array(
			'type' => self::TYPE_SERIALIZED, 'default' => serialize(array())
		);

		return $parent;
	}
}